import React from 'react';
import {Theme} from 'theme-y'; //线上
import {_Object} from "react-utils-y";
import * as svgData  from './svg';

class Svg extends Theme {
    constructor(props) {
        super(props);
        let _state = {};
        this.state = _Object.merge(this.state || {}, _state)
    };

    render() {
        let props = this.props;
        let SvgDom = svgData[props.type || "RadioOn"];
        return (
            <div>
                <SvgDom width={props.width} height={props.height} fill={props.fill}
                        svgTheme={this.state.theme.default.svg}/>
            </div>
        )
    }
}
export default Svg;
